package com.yeejoin.amos.boot.module.jcs.api.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 报送方式枚举
 *
 * @author DELL
 */
@Getter
@AllArgsConstructor
public enum SubmissionMethodEnum {
    PHONE("phone", "311", "电话"),
    SMS("sms", "312", "短信");

    private String key;
    private String code;
    private String name;

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
